# Add group members

Adds one or more members to a group.

_This operation supports both single-object and bulk semantics. For more information, see Optional Bulk Operations._

If called with a single GroupMember object, and that group member already exists, error code 1129 is returned.
If called with an array of GroupMember objects, any users specified in the array that are already group members are ignored and omitted from the response.

_This operation is only available to group administrators and system administrators._

Endpoint: POST /groups/{groupId}/members
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `groupId` (number, required)
    ID of the group being accessed

## Request fields (application/json):

  - `body` (Group member (object) or Array of Group member array (objects)) — one of:
    - Group member:
      - `id` (number)
        Group member's user ID.
        Example: 2331373580117892
      - `email` (string)
        Group member's email address.
        Example: "john.doe@smartsheet.com"
      - `firstName` (string)
        Group member's first name.
        Example: "John"
      - `lastName` (string)
        Group member's last name.
        Example: "Doe"
      - `name` (string)
        Group member's full name.
        Example: "John Doe"
    - Group member array:
      - `id` (number)
        Group member's user ID.
        Example: 2331373580117892
      - `email` (string)
        Group member's email address.
        Example: "john.doe@smartsheet.com"
      - `firstName` (string)
        Group member's first name.
        Example: "John"
      - `lastName` (string)
        Group member's last name.
        Example: "Doe"
      - `name` (string)
        Group member's full name.
        Example: "John Doe"

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (any) — one of:
    - Group member:
      - `id` (number)
        Group member's user ID.
        Example: 2331373580117892
      - `email` (string)
        Group member's email address.
        Example: "john.doe@smartsheet.com"
      - `firstName` (string)
        Group member's first name.
        Example: "John"
      - `lastName` (string)
        Group member's last name.
        Example: "Doe"
      - `name` (string)
        Group member's full name.
        Example: "John Doe"
    - Group member array:
      - `id` (number)
        Group member's user ID.
        Example: 2331373580117892
      - `email` (string)
        Group member's email address.
        Example: "john.doe@smartsheet.com"
      - `firstName` (string)
        Group member's first name.
        Example: "John"
      - `lastName` (string)
        Group member's last name.
        Example: "Doe"
      - `name` (string)
        Group member's full name.
        Example: "John Doe"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


